package com.jay.monitor.data.server.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jay.monitor.data.core.model.response.ResponseCommonModel;
import com.jay.monitor.data.server.models.entity.BackstageRoute;
import com.jay.monitor.data.server.models.request.route.RouteDataRequest;

/**
 * 路由管理
 *
 * @author : liukx
 * @date : 2019/3/1 - 17:23
 */
public interface IRoutesService extends IService<BackstageRoute> {

    /**
     * 刷新路由操作
     *
     * @param project
     * @return
     */
    public ResponseCommonModel executeRefresh(RouteDataRequest project) throws Exception;


}
