package com.jay.monitor.data.client.ext;

import com.jay.monitor.data.core.model.serializable.MQDataDTO;

import java.util.Map;
import java.util.function.BiConsumer;

/**
 * @Module 监控拓展点
 * @Description 基于请求参数事件回调
 * @Author liukaixiong
 * @Date 2020/11/2 10:17
 */
public abstract class MqMonitorRuleCallback {

    /**
     * 获取对应的规则
     *
     * @return
     */
    public abstract Map<String, BiConsumer<String, MQDataDTO>> getRuleMap();
}
