package com.jay.monitor.data.client;

import com.alibaba.fastjson.JSON;
import com.jay.monitor.data.client.config.ClientMonitorAutoConfiguration;
import com.jay.monitor.data.core.model.serializable.MQDataDTO;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Module TODO
 * @Description TODO
 * @Author liukaixiong
 * @Date 2020/10/23 19:51
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {ClientMonitorAutoConfiguration.class})
//@EnableMonitorData
public class MonitorSendProducerTest {

    @Test
    public void sendMsg() throws Exception {
        String json = "{\"applicationName\":\"dts-server\",\"createDate\":1603960683643,\"dataId\":\"2811698\",\"extMap\":{},\"groupKeyName\":\"INSERT\",\"groupName\":\"brand_app_login_log\",\"ip\":\"192.168.4.244\",\"jsonContent\":\"{\\\"changeFieldList\\\":[\\\"id\\\",\\\"brand_id\\\",\\\"brand_customer_id\\\",\\\"share_sign\\\",\\\"scene\\\",\\\"source\\\",\\\"status\\\",\\\"created\\\"],\\\"databaseName\\\":\\\"marketing_db_prod\\\",\\\"fieldDataMap\\\":{\\\"house_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"house_id\\\"},\\\"creator\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"creator\\\"},\\\"brand_customer_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"brand_customer_id\\\",\\\"value\\\":\\\"1512634\\\"},\\\"created\\\":{\\\"dataType\\\":\\\"java.util.Date\\\",\\\"field\\\":\\\"created\\\",\\\"value\\\":\\\"2020-10-28 19:54:50\\\"},\\\"mobile\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"mobile\\\"},\\\"source\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"source\\\",\\\"value\\\":\\\"3\\\"},\\\"brand_id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"brand_id\\\",\\\"value\\\":\\\"1\\\"},\\\"scene\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"scene\\\",\\\"value\\\":\\\"\\\"},\\\"updater\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"updater\\\"},\\\"share_sign\\\":{\\\"dataType\\\":\\\"java.lang.String\\\",\\\"field\\\":\\\"share_sign\\\",\\\"value\\\":\\\"\\\"},\\\"id\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"id\\\",\\\"value\\\":\\\"2811698\\\"},\\\"updated\\\":{\\\"dataType\\\":\\\"java.util.Date\\\",\\\"field\\\":\\\"updated\\\"},\\\"status\\\":{\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"field\\\":\\\"status\\\",\\\"value\\\":\\\"1\\\"}},\\\"operation\\\":\\\"INSERT\\\",\\\"sourceTimestamp\\\":1603886089,\\\"tableName\\\":\\\"brand_app_login_log\\\"}\",\"logId\":\"UNKNOWN-c0a804f4-445544-8006\",\"msgId\":\"12312321\",\"partitionName\":\"0\",\"status\":-1,\"topic\":\"uat-mysql-dts\",\"type\":\"MQ\"}";

        MQDataDTO dataDTO = JSON.parseObject(json, MQDataDTO.class);
//        URLDataDTO dataDTO = new URLDataDTO();
//        dataDTO.setApplicationName("abc");
//        dataDTO.setCreateDate(new Date());
//        dataDTO.setIp("1:1:1:");
//        dataDTO.setGroupName("asdfasfas");
//        dataDTO.setDataId("123123");
        MonitorSendProducer.sendMsg(dataDTO);
        System.in.read();
    }
    @Test
    public void sendMsg2() throws Exception {
        String json = "{\"applicationName\":\"dts-server\",\"createDate\":1605599008622,\"dataId\":\"124\",\"extMap\":{},\"groupKeyName\":\"UPDATE\",\"groupName\":\"integrals_user_score\",\"invokeType\":\"producer\",\"ip\":\"192.168.4.244\",\"jsonContent\":\"{\\\"databaseName\\\":\\\"marketing_db\\\",\\\"sourceTimestamp\\\":1605584228,\\\"fieldDataMap\\\":{\\\"house_id\\\":{\\\"field\\\":\\\"house_id\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\"},\\\"creator\\\":{\\\"field\\\":\\\"creator\\\",\\\"dataType\\\":\\\"java.lang.String\\\"},\\\"created\\\":{\\\"field\\\":\\\"created\\\",\\\"dataType\\\":\\\"java.util.Date\\\",\\\"oldValue\\\":\\\"2020-07-21 14:26:47\\\",\\\"value\\\":\\\"2020-07-21 14:26:47\\\"},\\\"score_count\\\":{\\\"field\\\":\\\"score_count\\\",\\\"dataType\\\":\\\"java.lang.Double\\\",\\\"oldValue\\\":\\\"1304.0\\\",\\\"value\\\":\\\"1314.0\\\"},\\\"score_reduce\\\":{\\\"field\\\":\\\"score_reduce\\\",\\\"dataType\\\":\\\"java.lang.Double\\\",\\\"oldValue\\\":\\\"0.0\\\",\\\"value\\\":\\\"0.0\\\"},\\\"brand_id\\\":{\\\"field\\\":\\\"brand_id\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"oldValue\\\":\\\"1\\\",\\\"value\\\":\\\"1\\\"},\\\"user_type\\\":{\\\"field\\\":\\\"user_type\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\"},\\\"user_id\\\":{\\\"field\\\":\\\"user_id\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"oldValue\\\":\\\"1883\\\",\\\"value\\\":\\\"1883\\\"},\\\"updator\\\":{\\\"field\\\":\\\"updator\\\",\\\"dataType\\\":\\\"java.lang.String\\\"},\\\"id\\\":{\\\"field\\\":\\\"id\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"oldValue\\\":\\\"124\\\",\\\"value\\\":\\\"124\\\"},\\\"updated\\\":{\\\"field\\\":\\\"updated\\\",\\\"dataType\\\":\\\"java.util.Date\\\"},\\\"score_add\\\":{\\\"field\\\":\\\"score_add\\\",\\\"dataType\\\":\\\"java.lang.Double\\\",\\\"oldValue\\\":\\\"1304.0\\\",\\\"value\\\":\\\"1314.0\\\"},\\\"status\\\":{\\\"field\\\":\\\"status\\\",\\\"dataType\\\":\\\"java.lang.Integer\\\",\\\"oldValue\\\":\\\"1\\\",\\\"value\\\":\\\"1\\\"}},\\\"_catRootMessageId\\\":\\\"dts-server-c0a804f4-445999-1245\\\",\\\"changeFieldList\\\":[\\\"score_count\\\",\\\"score_add\\\"],\\\"id\\\":\\\"124\\\",\\\"_catParentMessageId\\\":\\\"dts-server-c0a804f4-445999-1245\\\",\\\"_catChildMessageId\\\":\\\"MQ-CONSUMER-c0a804f4-445999-1235\\\",\\\"operation\\\":\\\"UPDATE\\\",\\\"tableName\\\":\\\"integrals_user_score\\\",\\\"application.name\\\":\\\"dts-server\\\"}\",\"logId\":\"dts-server-c0a804f4-445999-1243\",\"mqType\":\"kafka\",\"msgId\":\"3647\",\"parentLogId\":\"dts-server-c0a804f4-445999-1245\",\"partitionName\":\"10\",\"rootLogId\":\"dts-server-c0a804f4-445999-1245\",\"sourceTime\":1605584228000,\"status\":1,\"topic\":\"test-mysql-dts\",\"type\":\"MQ\"}";

        MQDataDTO dataDTO = JSON.parseObject(json, MQDataDTO.class);
//        URLDataDTO dataDTO = new URLDataDTO();
//        dataDTO.setApplicationName("abc");
//        dataDTO.setCreateDate(new Date());
//        dataDTO.setIp("1:1:1:");
//        dataDTO.setGroupName("asdfasfas");
//        dataDTO.setDataId("123123");
        MonitorSendProducer.sendMsg(dataDTO);
        System.in.read();
    }

}